Scilab Function

resume - sortie d'une fonction ou reprise d'exécution, avec récupération de variables locales

### Calling Sequence

  `resume`
  `[x1,..,xn]=resume(a1,..,an)`

### Parameters

- `x`

### Description

Dans une fonction `resume` termine son exécution et `[..]=resume(..)` renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi` .

En mode de `pause` , cela permet de reprendre l'exécution et `[..]=resume(..)` renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi` .

Utilisé dans l'argument de `execstr` appelé dans une fonction `[..]=resume(..)` termine l'exécution de la fonction et renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi` .

`resume` est équivalent à `return` .

### See Also

`abort` , `break` , `return` ,